Bug 76215 - infrastructure for MINIMAL build of ports/misc/mc
Summary: infrastructure for MINIMAL build of ports/misc/mc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Khon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-13 19:00 UTC by Eugene Grosbein
Modified: 2005-02-08 16:43 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.85 KB, patch)
2005-01-13 19:00 UTC, Eugene Grosbein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Grosbein 2005-01-13 19:00:50 UTC
	Currently ports/misc/mc builds the Midnight Commander with SAMBA
	support. This leads to very long startup time of MC when DNS
	is not accessible due to resolver (which is used by MC's SAMBA support)
	timeout. This may be avoided by building the port WITHOUT_SAMBA,
	but this "feature" is quite obscure.

	The port depends on 5 extra perl modules for RELENG_4 just to
	support *.deb and *.zip types of VFS and provides no way to
	axe out the dependency when this support is not needed.

	The port always build internal editor - no way to disable.

	Here is an attempt to provide a way to build MC with lesser
	dependancy list. We introduce new Makefile variable MINIMAL
	that defines a wish to axe out as many MC's features as possible:

	it turns off SAMBA support (does not if WITH_SAMBA is defined also),

	it turns off X Window support (does not if WITH_X is defined also),

	it turns off internal editor (does not if WITH_EDIT is defined also;
	one may use WITHOUT_EDIT alone just to disable the editor),

	it turns off dependency of SLANG (does not if WITH_SLANG is defined
	also) and switches to plain NCURSES,

	it turns off subshell support (does not if WITH_SUBSHELL is defined also),

	it turns off dependency of extra perl modules
	(does not if WITH_PERL_MODULES is defined also;
	one may use WITHOUT_PERL_MODULES alone).

	The following patch is just intended to provide an infrastructure
	for making slightly more light-weight package of MC.
	It works but is not complete - f.e., it does not eliminate
	dependency of iconv package.

	One may turn off all features but one (or several): a command
			make MINIMAL=yes WITH_EDIT=yes
	keeps internal editor in places and disables other features.

How-To-Repeat: 	N/A
Comment 1 Sergey Matveychuk freebsd_committer 2005-01-14 00:07:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fjoe

Over to maintainer
Comment 2 Max Khon freebsd_committer 2005-02-08 16:43:06 UTC
State Changed
From-To: open->closed

Committed, thanks!